### Virtual Method

# Gcr SecretExchange decrypt_transport_data

#### Declaration [src]

    gboolean
    decrypt_transport_data (
      GcrSecretExchange* exchange,
      GckAllocator allocator,
      const guchar* cipher_text,
      gsize n_cipher_text,
      const guchar* parameter,
      gsize n_parameter,
      guchar** plain_text,
      gsize* n_plain_text
    )

#### Description

No description available.

#### Parameters

`allocator` | `GckAllocator`
| No description available.
`cipher_text` | `const guchar*`
| No description available.
| The data is owned by the caller of the function.
`n_cipher_text` | `gsize`
| No description available.
`parameter` | `const guchar*`
| No description available.
| The data is owned by the caller of the function.
`n_parameter` | `gsize`
| No description available.
`plain_text` | `guchar**`
| No description available.
| The data is owned by the caller of the function.
`n_plain_text` | `gsize*`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| No description available.